<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <meta http-equiv="refresh" content="10" >
    <title>
      Gonzo Coffee Roaster
    </title>
    <script type="text/javascript" src="//www.google.com/jsapi"></script>
    <script type="text/javascript">
      google.load('visualization', '1', {packages: ['corechart']});
    </script>
    <script type="text/javascript">
      function drawVisualization() {
          // Create and populate the data table.

          var data = new google.visualization.DataTable();
          data.addColumn('number', 'Time');
          data.addColumn('number', 'Bean Temp');
          data.addColumn('number', 'Target');
          data.addColumn('number', 'Power');

<?php
$FH = fopen("control/comments.txt","r");
$COMMENTS = fgets($FH);
fclose($FH);

$FH = fopen("roaster/roaster.txt","r");
$TITLE = fgets($FH);
$TITLE = rtrim($TITLE,"\r\n");
while(!feof($FH)) {
	$DATA = fgets($FH);
	$DATA = rtrim($DATA,"\r\n");
	if (strlen($DATA) > 1) {
	echo 'data.addRow([',$DATA,']);', "\n";
	$LASTDATA = explode(",",$DATA);
}
}
fclose($FH);
?>         
      
          // Create and draw the visualization.
          var chart = new google.visualization.ScatterChart(
              document.getElementById('visualization'));
          chart.draw(data, {title: 'Roast started: <?php print($TITLE.". ".$COMMENTS); ?>',
                            width: 1000, height: 600,
			    lineWidth: 3,
			    series: {0:{color: 'black'}, 1:{color: 'green'}, 2:{color: 'red'}},
			    pointSize: 0,
			    legend: {position: "top"},
                            vAxis: {title: "Temp (C) & Heat Gun Power (%)", maxValue: 300, gridlines: {count: 4}, minorGridlines: {count: 4}, titleTextStyle: {color: "green"}},
                            hAxis: {title: "Time (min)", maxValue: 25, gridlines: {count: 6}, minorGridlines: {count: 4}, titleTextStyle: {color: "green"}}}
                    );
      }
      

      google.setOnLoadCallback(drawVisualization);
    </script>
  </head>
<body>
<strong>Gonzo Coffee Roaster</strong>
<br><br>
<big><big>Last recorded temp: <?php echo number_format($LASTDATA[1],0)?>C</big></big>
  <body style="font-family: Arial;border: 0 none;">
    <div id="visualization" style="width: 1000px; height: 600px;"></div>
  </body>
</html>
