#!/usr/bin/python

import time
import piface.pfio as pfio
import os
pfio.init()

ON = float(0)
# set the pulse period in seconds
PERIOD = 2
PWMFILE = "/home/pi/roaster/pwm.txt"


while (True):

	while (True):
		INPUTFILE = open(PWMFILE,'r')
		INPUTLINE = INPUTFILE.read()
		INPUTFILE.close()
# check if the value is meaningful. If not, check again in a short time. If OK, proceed
		try:
			TEST = float(INPUTLINE) 
		except:
			time.sleep(0.5)
		else:
			ON = float(INPUTLINE) / 100
			break

	if ON == 0:
		pfio.digital_write(0,0)
#		os.system('echo "22=0.7" > /dev/pi-blaster')
		time.sleep(PERIOD)
	elif ON == 1:
		pfio.digital_write(0,1)
#		os.system('echo "22=1" > /dev/pi-blaster' )
		time.sleep(PERIOD)
	else:
		pfio.digital_write(0,1)
		time.sleep(ON * PERIOD)
		pfio.digital_write(0,0)
#		if ON < 0.7:
#			os.system('echo "22=0.7" > /dev/pi-blaster')
#		else:
#			os.system('echo "22=%s" > /dev/pi-blaster' % (ON))
		time.sleep(PERIOD - ON * PERIOD)

